%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FILE: heat2d.m 
% PURPOSE: a code that aims to simulate 2d heat equation
% using Euler method and central differencing
% Copyright Ville Vuorinen (2019), no guarantee of 
% code functionality
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
set(0,'DefaultAxesFontName','Times New Roman')
set(0,'DefaultAxesFontSize',15)
colormap jet

clear *
close all
clf

Substance = 1; % 1=air 2=water 3=oil 4=brick

TotalSimuTimeSeconds = 10; % how many seconds to simulate ?

myBC = 4; % in the present version of the code, 4 bcs are possible

DeclareNameOfOutputFile; % this .m file only says the name of outputfile e.g. Brick

GeometricalDetails;

ThermodynamicalDetails; % compute alpha, k, rho, cp

FluidDynamicalDetails;

dxmin = min(dx,dy); 

dt = 0.000025; % timestep -> change to keep the code stable
TotalSimuTimesteps = round(TotalSimuTimeSeconds/dt);


giveInfo;

setTBCs;
for(t=1:TotalSimuTimesteps)
tic;
setTBCs;
solveTemperature; % T(x,y,n+1) = T(x,y,n) + dT(x,y,n);
visualizeResults;
end

save(MyFile, 'T', 'myTmean', 'myTimes', 'X', 'Y', 'Lx', 'Ly', 'alpha', 'k', 'rho', 'cp', 'iny','inx','dy','dx');


