% Boundary condition types
% 1: left/Tfixed right/Tfixed top/insulated bottom/Tfixed
% 2: left/Tfixed right/Tfixed top/Tfixed bottom/Tfixed
% 3: left/qfixed right/Tfixed top/insulated bottom/Tfixed

%%%%%%%%%%%% First boundary condition %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if(myBC == 1)
    Tleft = 1000; Tright = 293; Tbot = 293;

% first column T(iny,1) and last column T(iny,N) ghost cells modified    
T(iny,1)= 2*Tleft - T(iny,2); T(iny,Nx)=2*Tright - T(iny,Nx-1);
% first row T(1,:) and last row T(Ny,:) ghost cells modified
T(1,:) = T(2,:); T(Ny,:) = 2*Tbot - T(Ny-1,:); 

%%%%%%%%%%%% Second boundary condition %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
elseif(myBC == 2)
    Tleft = 1000; Tright = 293; Ttop = 293; Tbot = 293;
    
T(1,:) = 2*Ttop - T(2,:); % now 0.5*(T(1,:)+T(2,:))=Ttop -> Ts=fixed
T(Ny,:) = 2*Tbot - T(Ny-1,:); 
T(iny,1)= 2*Tleft - T(iny,2); 
T(iny,Nx)= 2*Tright - T(iny,Nx-1);   

%%%%%%%%%%%% Third boundary condition %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

elseif(myBC == 3)
    qleft = 1000; % power from furnace e.g. 10000 W/m^2
    Tright = 293; Tbot = 293;
    
T(1,:) = T(2,:); 
T(Ny,:) = 2*Tbot - T(Ny-1,:); 
T(iny,1) = qleft*dx/k + T(iny,2); 
T(iny,Nx)= 2*Tright - T(iny,Nx-1);   % at outlet dTdx = 0 - a usual outlet bc


elseif(myBC == 4)
    Tleft = 293; Ttop = 300; Tbot = 300;
    
T(1,:) = 2*Ttop - T(2,:); % now 0.5*(T(1,:)+T(2,:))=Ttop -> Ts=fixed
T(Ny,:) = 2*Tbot - T(Ny-1,:); 
T(iny,1)= 2*Tleft - T(iny,2); 
T(iny,Nx)= T(iny,Nx-1); 

end
